/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   AMateria.cpp                                       :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: adjoly <adjoly@student.42angouleme.fr>     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2024/12/09 11:24:41 by adjoly            #+#    #+#             */
/*   Updated: 2024/12/12 19:22:59 by adjoly           ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "AMateria.hpp"
#include "Log.hpp"

AMateria::AMateria(void) : _type("") {
	log("➕", "AMateria", "", "default constructor called");
}

AMateria::AMateria(std::string const &type) : _type(type) {
	log("➕", "AMateria", "", "copy constructor called");
}

AMateria::~AMateria(void) {
	log("➖", "AMateria", "", "destructor called");
}

std::string const	&AMateria::getType(void) const { return (_type); }
