/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   MateriaSource.hpp                                  :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: adjoly <adjoly@student.42angouleme.fr>     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2024/12/10 13:51:37 by adjoly            #+#    #+#             */
/*   Updated: 2024/12/12 18:53:48 by adjoly           ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#pragma once

#include "AMateria.hpp"
#include "IMateriaSource.hpp"

#define MATERIA_COUNT 4

class MateriaSource : public IMateriaSource {
	private:
		AMateria	*_materias[MATERIA_COUNT];
	public:
		~MateriaSource(void);

		void		learnMateria(AMateria *);
		AMateria	*createMateria(std::string const &);
};
